async function async_response(url) {
    let value = await new Promise(
        function (resolve, reject) { 
            var req = new XMLHttpRequest();
            req.open('GET', url, true);
            req.onload = function () {
                if (req.status === 200) {
                    resolve(req.responseText);
                } else {
                    reject(req.statusText);
                }
            };
            req.onerror = function () {
                reject(req.statusText);
            };
            req.send();
        }
    );
    console.log(value);
    return value;
}
